import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsFlow } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-25 10:38
 */
interface DevopsFlowCU extends ConditionUtil<DevopsFlowCU> {
    ID: FieldUtil<DevopsFlowCU>;
    FLOW_NAME: FieldUtil<DevopsFlowCU>;
    REMARK: FieldUtil<DevopsFlowCU>;
    CREATE_TIME: FieldUtil<DevopsFlowCU>;
    UPDATE_TIME: FieldUtil<DevopsFlowCU>;
}
declare class DevopsFlowMU extends TableUtilImpl<DevopsFlowCU, DevopsFlow> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsFlowCU;
    static get ID(): FieldUtil<DevopsFlowCU>;
    static get FLOW_NAME(): FieldUtil<DevopsFlowCU>;
    static get REMARK(): FieldUtil<DevopsFlowCU>;
    static get CREATE_TIME(): FieldUtil<DevopsFlowCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsFlowCU>;
    get ID(): FieldUtil<DevopsFlowCU>;
    get FLOW_NAME(): FieldUtil<DevopsFlowCU>;
    get REMARK(): FieldUtil<DevopsFlowCU>;
    get CREATE_TIME(): FieldUtil<DevopsFlowCU>;
    get UPDATE_TIME(): FieldUtil<DevopsFlowCU>;
}
export { DevopsFlowMU, DevopsFlowCU };
